## ejecter 0.2.1

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8
#
# 
#    Ejecter - Safely, easily remove external peripherals
#    Copyright 2008-2009, Federico Pelloni <federico.pelloni@gmail.com>
# 
#    
#    This file is part of Ejecter.
# 
#    Ejecter is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#    
#    Ejecter is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#    
#    You should have received a copy of the GNU General Public License
#    along with Ejecter.  If not, see <http://www.gnu.org/licenses/>.
#   
# 

import os, os.path

# the following two variables are used by the target "waf dist"
VERSION='0.2.1'
APPNAME='ejecter'

# these variables are mandatory ('/' are converted automatically)
srcdir = '.'
blddir = 'build'

import Scripting
Scripting.g_excludes = ('tools', )


def set_options(opt):
    opt.tool_options('compiler_cc')
    opt.add_option('--debug', action = 'store_true', default = False, help = 'Enable debugging messages')


def configure(conf):
    
    conf.check_tool('compiler_cc cc vala intltool')
    
    conf.check_cfg(package='glib-2.0', uselib_store='GLIB', atleast_version='2.16.0', 
                   mandatory=1, args='--cflags --libs')
    conf.check_cfg(package='gtk+-2.0', uselib_store='GTK', atleast_version='2.12.0', 
                   mandatory=1, args='--cflags --libs')
    conf.check_cfg(package='gio-2.0', uselib_store='GIO', mandatory=1, args='--cflags --libs')
    conf.check_cfg(package='hal', uselib_store='HAL', mandatory=1, args='--cflags --libs')
    conf.check_cfg(package='dbus-glib-1', uselib_store='DBUSGLIB', atleast_version='0.60', 
                   mandatory=True, args='--cflags --libs')
    conf.check_cfg(package='', msg='Checking for gtk+ version >= 2.14', args='"gtk+-2.0 >= 2.14.0"',
                   errmsg='no', uselib_store='GTK214') 
    
    required_vala = (0, 3, 0)
    conf.check_message_1("Checking for vala version >= %d.%d.%d" % required_vala)
    if conf.env['VALAC_VERSION'] >= required_vala:
        conf.check_message_2("ok (%d.%d.%d)" % conf.env['VALAC_VERSION'], "GREEN")
    else:
        conf.check_message_2("not found", "RED")
        conf.fatal("Vala %d.%d.%d or higher is required to build Ejecter" % required_vala)
        return
    
    conf.define('PACKAGE', APPNAME)
    conf.define('VERSION', VERSION)
    conf.define('PACKAGE_NAME', APPNAME)
    conf.define('PACKAGE_VERSION', APPNAME + '-' + VERSION)
    conf.define('GETTEXT_PACKAGE', APPNAME)
    conf.define('LOCALE_DIR', os.path.join(conf.env['PREFIX'], 'share', 'locale'))
    conf.define('PIXMAPS_DIR', os.path.join(conf.env['PREFIX'], 'share', APPNAME, 'pixmaps'))
    
    import Options
    conf.define('DEBUG', int(Options.options.debug))
    
    conf.write_config_header("config.h")
    


def build(bld):

    if bld.env['INTLTOOL']:
        bld.add_subdirs('po')

    bld.add_subdirs('src')

    bld.add_subdirs('icons')

    bld.install_files('${PREFIX}/share/' + APPNAME, 'COPYING')

## ejecter 0.3.1

=== wscript ===
--- 
+++ 
@@ -23,10 +23,10 @@
 #   
 # 
 
-import os, os.path
+import os, os.path, gnome
 
 # the following two variables are used by the target "waf dist"
-VERSION='0.2.1'
+VERSION='0.3.1'
 APPNAME='ejecter'
 
 # these variables are mandatory ('/' are converted automatically)
@@ -39,25 +39,22 @@
 
 def set_options(opt):
     opt.tool_options('compiler_cc')
+    opt.tool_options('gnu_dirs')
     opt.add_option('--debug', action = 'store_true', default = False, help = 'Enable debugging messages')
 
 
 def configure(conf):
     
-    conf.check_tool('compiler_cc cc vala intltool')
+    conf.check_tool('compiler_cc cc vala intltool gnu_dirs')
     
     conf.check_cfg(package='glib-2.0', uselib_store='GLIB', atleast_version='2.16.0', 
                    mandatory=1, args='--cflags --libs')
-    conf.check_cfg(package='gtk+-2.0', uselib_store='GTK', atleast_version='2.12.0', 
+    conf.check_cfg(package='gtk+-2.0', uselib_store='GTK', atleast_version='2.14.0', 
                    mandatory=1, args='--cflags --libs')
     conf.check_cfg(package='gio-2.0', uselib_store='GIO', mandatory=1, args='--cflags --libs')
-    conf.check_cfg(package='hal', uselib_store='HAL', mandatory=1, args='--cflags --libs')
-    conf.check_cfg(package='dbus-glib-1', uselib_store='DBUSGLIB', atleast_version='0.60', 
-                   mandatory=True, args='--cflags --libs')
-    conf.check_cfg(package='', msg='Checking for gtk+ version >= 2.14', args='"gtk+-2.0 >= 2.14.0"',
-                   errmsg='no', uselib_store='GTK214') 
+    conf.check_cfg(package='gdu', uselib_store='GDU', mandatory=1, args='--cflags --libs')
     
-    required_vala = (0, 3, 0)
+    required_vala = (0, 7, 0)
     conf.check_message_1("Checking for vala version >= %d.%d.%d" % required_vala)
     if conf.env['VALAC_VERSION'] >= required_vala:
         conf.check_message_2("ok (%d.%d.%d)" % conf.env['VALAC_VERSION'], "GREEN")
@@ -71,8 +68,9 @@
     conf.define('PACKAGE_NAME', APPNAME)
     conf.define('PACKAGE_VERSION', APPNAME + '-' + VERSION)
     conf.define('GETTEXT_PACKAGE', APPNAME)
-    conf.define('LOCALE_DIR', os.path.join(conf.env['PREFIX'], 'share', 'locale'))
-    conf.define('PIXMAPS_DIR', os.path.join(conf.env['PREFIX'], 'share', APPNAME, 'pixmaps'))
+    conf.define('LOCALE_DIR', conf.env['LOCALEDIR'])
+    conf.define('PIXMAPS_DIR', os.path.join(conf.env['DATADIR'], APPNAME, 'pixmaps'))
+    conf.define('ICONS_DIR', os.path.join(conf.env['DATADIR'], 'icons'))
     
     import Options
     conf.define('DEBUG', int(Options.options.debug))
@@ -90,6 +88,8 @@
 
     bld.add_subdirs('icons')
 
-    bld.install_files('${PREFIX}/share/' + APPNAME, 'COPYING')
+    bld.install_files(os.path.join('${DATADIR}', APPNAME), 'COPYING')
+    
+    bld.add_post_fun(lambda ctx: gnome.postinstall_icons())

## ejecter 0.4.4

=== wscript ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 # 
 #    Ejecter - Safely, easily remove external peripherals
-#    Copyright 2008-2009, Federico Pelloni <federico.pelloni@gmail.com>
+#    Copyright 2008-2011, Federico Pelloni <federico.pelloni@gmail.com>
 # 
 #    
 #    This file is part of Ejecter.
@@ -26,7 +26,7 @@
 import os, os.path, gnome
 
 # the following two variables are used by the target "waf dist"
-VERSION='0.3.1'
+VERSION='0.4.4'
 APPNAME='ejecter'
 
 # these variables are mandatory ('/' are converted automatically)
@@ -52,7 +52,9 @@
     conf.check_cfg(package='gtk+-2.0', uselib_store='GTK', atleast_version='2.14.0', 
                    mandatory=1, args='--cflags --libs')
     conf.check_cfg(package='gio-2.0', uselib_store='GIO', mandatory=1, args='--cflags --libs')
+    conf.check_cfg(package='libnotify', uselib_store='LIBNOTIFY', mandatory=1, args='--cflags --libs')
     conf.check_cfg(package='gdu', uselib_store='GDU', mandatory=1, args='--cflags --libs')
+    conf.check_cfg(package='appindicator-0.1', uselib_store='APPINDICATOR', mandatory=1, args='--cflags --libs')
     
     required_vala = (0, 7, 0)
     conf.check_message_1("Checking for vala version >= %d.%d.%d" % required_vala)

=== debian/changelog ===
ejecter (0.4.4-0ubuntu2) oneiric; urgency=low

  * debian/source/format: Switch to 3.0 (quilt), so that we can apply patches.
  * Add libnotify7_API.patch: Port to libnotify 0.7 API.
  * debian/control: Move from valac-0.10 to valac.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 09 Sep 2011 09:10:52 +0200

ejecter (0.4.4-0ubuntu1) natty; urgency=low

  * New bug-fixes-only upstream release.
  * debian/rules: remove icons installation workaround introduced in
    0.4.1-0ubuntu1.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 05 Mar 2011 19:10:46 +0100

ejecter (0.4.1-0ubuntu1) natty; urgency=low

  * New upstream release.
  * debian/control: add libappindicator-dev and libnotify-dev to Build-Depends
    field.
  * debian/control: replace valac with valac-0.10 in Build-Depends field.
  * debian/rules: call dh_icons in binary-arch target.
  * Update debian/copyright.
  * Bump Standards-Version to 3.9.1.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 27 Jan 2011 11:15:35 +0100

ejecter (0.3.1-0ubuntu3) lucid; urgency=low

  * Add python to Build-Depends.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 27 Feb 2010 20:34:45 +0100

ejecter (0.3.1-0ubuntu2) lucid; urgency=low

  * Use internal copy of waf.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 27 Feb 2010 15:16:26 +0100

ejecter (0.3.1-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #442468).
  * debian/control: remove libdbus-glib-1-dev from Build-Depends field.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 05 Oct 2009 15:18:23 +0200

ejecter (0.2.1+karmic-gdu-bzr68-0ubuntu1) karmic; urgency=low

  * New upstream bzr revision 68 from karmic-gdu branch (LP: #427312, #424256,
    #403143).
  * Drop quilt support.
  * debian/control: remove libhal-dev from Build-Depends field.
  * debian/control: add libgdu-dev to Build-Depends field.
  * Remove debian/patches/fix_vala_compatibility.diff patch, merged upstream.
  * Bump Standards-Version to 3.8.3.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 27 Sep 2009 13:34:45 +0200

ejecter (0.2.1+bzr51-0ubuntu2) karmic; urgency=low

  * Use waf Debian package instead of the provided binary to build the
    package.
  * Add quilt support.
  * Add fix_vala_compatibility.diff patch, fix FTBFS and some warnings caused
    by the new vala version uploaded in Ubuntu.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Fri, 31 Jul 2009 14:21:59 +0200

ejecter (0.2.1+bzr51-0ubuntu1) karmic; urgency=low

  * New upstream bzr revision 51.
  * Fix dh_desktop-is-deprecated lintian warning.
  * debian/copyright: replace deprecated symbol (C) with ©.
  * Bump Standards-Version to 3.8.2.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Wed, 22 Jul 2009 15:29:23 +0200

ejecter (0.2.1-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #331126).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Wed, 18 Feb 2009 19:09:24 +0100

ejecter (0.2.0-0ubuntu1) jaunty; urgency=low

  * Initial release (LP: #274782).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 18 Jan 2009 12:20:51 +0100

=== debian/control ===
Source: ejecter
Section: utils
Priority: optional
Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 6), valac, intltool, libgtk2.0-dev,
 libgdu-dev, python (>= 2.5), libappindicator-dev, libnotify-dev
Standards-Version: 3.9.1
Homepage: https://launchpad.net/ejecter

Package: ejecter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: application to unmount easily and safely external devices
 Ejecter is a simple menu that sits in the system notification area, providing
 you a quick way to unmount an external peripheral such as USB pendrive,
 CD/DVD disk, external hard disk and so.
 .
 Ejecter will sleep behind the scenes and show an icon in the system tray when
 one or more devices are connected to your computer.

=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp
configure-stamp:
	dh_testdir

	./waf configure --prefix=/usr

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	./waf

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-rm .lock-wscript
	-rm -rf build
	-rm -rf .waf*

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	./waf --destdir=$(CURDIR)/debian/ejecter install
	dh_install debian/ejecter.desktop etc/xdg/autostart

	# Fix extra-license-file lintian warning:
	rm $(CURDIR)/debian/ejecter/usr/share/ejecter/COPYING

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installman debian/ejecter.1
	dh_icons
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
https://launchpad.net/ejecter/+download http://launchpad.net/ejecter/.*/ejecter-(.*)\.tar\.bz2
